# class BulkPDU |
Full name | `Snmp::BulkPDU`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- BulkPDU ()
- BulkPDU (void* data, int len)
- ~BulkPDU ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- int32_t m_request_id
- static const int32_t s_request_idMinSize
- static const int32_t s_request_idMaxSize
- int32_t m_non_repeaters
- static const int32_t s_non_repeatersMinSize
- static const int32_t s_non_repeatersMaxSize
- int32_t m_max_repetitions
- static const int32_t s_max_repetitionsMinSize
- static const int32_t s_max_repetitionsMaxSize
- VarBindList* m_variable_bindings

## Detailed Description

static const int s_type | ### s_type

int32_t m_request_id | ### m_request_id

static const int32_t s_request_idMinSize | ### s_request_idMinSize

static const int32_t s_request_idMaxSize | ### s_request_idMaxSize

int32_t m_non_repeaters | ### m_non_repeaters

static const int32_t s_non_repeatersMinSize | ### s_non_repeatersMinSize

static const int32_t s_non_repeatersMaxSize | ### s_non_repeatersMaxSize

int32_t m_max_repetitions | ### m_max_repetitions

static const int32_t s_max_repetitionsMinSize | ### s_max_repetitionsMinSize

static const int32_t s_max_repetitionsMaxSize | ### s_max_repetitionsMaxSize

VarBindList* m_variable_bindings | ### m_variable_bindings

BulkPDU () | ### BulkPDU

BulkPDU (void* data, int len) | ### BulkPDU

~BulkPDU () | ### ~BulkPDU

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.